<template>
    <div class="w-100">
        <v-row>
            <v-col lg="4" cols="sm" class="pb-2">
                <v-card>
                    <v-row class="no-gutters">
                        <div class="col-auto">
                            <div class="cyan fill-height">&nbsp;</div>
                        </div>
                        <div class="col pa-3 py-4 cyan--text">
                            <h5 class="text-truncate text-uppercase">Demandes</h5>
                            <h1>{{demand_count}}</h1>
                        </div>
                    </v-row>
                </v-card>
            </v-col>
            <v-col lg="4" cols="sm" class="pb-2">
                <v-card>
                    <v-row class="no-gutters">
                        <div class="col-auto">
                            <div class="success fill-height">&nbsp;</div>
                        </div>
                        <div class="col pa-3 py-4 success--text">
                            <h5 class="text-truncate text-uppercase">Examens disponibles</h5>
                            <h1>{{exam_count}}</h1>
                        </div>
                    </v-row>
                </v-card>
            </v-col>
                        <v-col lg="4" cols="sm" class="pb-2">
                <v-card>
                    <v-row class="no-gutters">
                        <div class="col-auto">
                            <div class="primary fill-height">&nbsp;</div>
                        </div>
                        <div class="col pa-3 py-4 primary--text">
                            <h5 class="text-truncate text-uppercase">Patients en 2020</h5>
                            <h1>{{patient_count}}</h1>
                        </div>
                    </v-row>
                </v-card>
            </v-col>
        </v-row>
        <v-row>
            <v-col lg="6" cols="md" class="pb-2">
                <v-card class="">
                    <v-card-title class="font-weight-light text-truncate cyan--text">
                        Demandes enregistrées
                    </v-card-title>
                    <v-card-text>
                        <v-carousel
                            cycle
                            height="180"
                            interval="2000"
                            hide-delimiter-background
                            show-arrows-on-hover>
                            <v-carousel-item v-for="(demand,i) in last_demands" :key="i">
                                <div class="row no-gutters">
                                    <div class="col">
                                        <div>
                                            <h2 class="cyan--text">{{demand.patient.fullName}}</h2>
                                            <p class="mt-1">Enregistré le : {{demand.created_at}}</p>
                                            <h3 class="mb-0">{{demand.cost}} F CFA <i class="mdi mdi-36px mdi-credit-card-outline float-right"></i></h3>
                                            <p>Nombre d'examens: {{demand.tests_count}}</p>
                                        </div>
                                    </div>
                                </div>
                            </v-carousel-item>
                        </v-carousel>
                    </v-card-text>
                    <v-card-actions>
                        <router-link to="/nouvelle-demande">
                            <v-btn outlined rounded color="primary">
                                Nouvelle demande
                            </v-btn>
                        </router-link>
                     </v-card-actions>
                </v-card>
            </v-col>
            <!--v-col lg="4" cols="md" class="pb-2">
                <v-card min-height="252">
                    <v-card-title class="font-weight-light text-truncate primary--text">
                        Goals
                    </v-card-title>
                     <v-card-text>
                        <p class="primary--text subtitle-1">
                            Results from last campaign
                        </p>
                        <div class="my-5">
                            <v-progress-linear
                              indeterminate
                              height="8"
                              color="primary"
                            ></v-progress-linear>
                            <h6>SINCE JAN 2020</h6>
                        </div>
                     </v-card-text>
                     <v-card-actions>
                        <v-btn outlined rounded color="primary">
                            Details
                        </v-btn>
                     </v-card-actions>
                </v-card>
            </v-col-->
            <v-col lg="6" cols="md" class="pb-2">
                <v-card min-height="252">
                    <v-card-title class="font-weight-light text-truncate success--text">
                        Demande d'examen en cours de traitement
                    </v-card-title>
                    <v-card-text>
                        <span class="success--text subtitle-1">
                            {{demand_progress.patient.fullName}}
                        </span>
                        <div class="mb-3">
                            Nombre d'examens : {{demand_progress.tests_count}}
                            <h3>{{demand_progress.cost}} F CFA</h3>
                            <span class="overline">Date d'enregistrement : {{demand_progress.created_at}}</span>
                        </div>
                     </v-card-text>
                     <v-card-actions>
                        <router-link :to="'demandes/'+demand_progress.id">
                            <v-btn outlined rounded color="success">
                                Détails
                            </v-btn>
                        </router-link>
                     </v-card-actions>
                </v-card>
            </v-col>
        </v-row>
        <v-row>
            <v-col>
                <v-card class="mx-auto text-center">
                    <v-card-title class="primary--text">
                        Chiffre d'affaire mensuel
                    </v-card-title>
                    <v-sparkline
                        :value="sparklineData"
                        padding="18"
                        label-size="4"
                        color="cyan"
                        :gradient="['#007bff','cyan']"
                        :line-width="2"
                        :stroke-linecap="'round'">
                    </v-sparkline>
                    <v-card-actions class="py-4 justify-center">

                    </v-card-actions>
                </v-card>
            </v-col>
        </v-row>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex'

    export default {
            data: () => ({

      sparklineData: [
        423,
        446,
        675,
        510,
        590,
        610,
        423,
      ],
    }),
        computed: {
        ...mapGetters({last_demands:'dashboard/_last_demands',exam_count:'dashboard/_exam_count',demand_count:'dashboard/_demand_count',patient_count:'dashboard/_patient_count', demand_progress:'dashboard/_demand_progress'}),

    },

        mounted() {
            console.log('Component mounted.')
        }
        ,
        created()
        {
           this.$store.dispatch('dashboard/callDashboard')
        }
    }
</script>
<style lang="scss" scoped>
.theme--dark.v-image
{
 color:#9e9e9e !important;
}
</style>
